> ## Documentation Index
> Fetch the complete documentation index at: https://anam.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# list avatar videos



## OpenAPI

````yaml https://api.anam.ai/swagger.json get /v1/avatar-videos
openapi: 3.1.0
info:
  title: Anam AI API
  version: '1.0'
servers:
  - url: https://api.anam.ai
    description: Anam API
security:
  - BearerAuth: []
tags:
  - name: Sessions
  - name: Avatar Videos
  - name: Meetings
  - name: Personas
  - name: Avatars
  - name: Voices
  - name: LLMs
  - name: Knowledge
  - name: Tools
  - name: Share Links
  - name: Engine
paths:
  /v1/avatar-videos:
    get:
      tags:
        - Avatar Videos
      summary: List avatar videos
      operationId: listAvatarVideos
      parameters:
        - in: query
          name: status
          schema:
            type: string
            enum:
              - pending
              - running
              - finalizing
              - completed
              - failed
              - cancelled
        - in: query
          name: createdAfter
          schema:
            type: string
            format: date-time
        - in: query
          name: createdBefore
          schema:
            type: string
            format: date-time
        - in: query
          name: limit
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 20
        - in: query
          name: cursor
          schema:
            type: string
      responses:
        '200':
          description: Newest-first page scoped to the API-key organization.
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                  - nextCursor
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/AvatarVideo'
                  nextCursor:
                    type: string
                    nullable: true
        '400':
          description: Invalid filters or cursor
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AvatarVideoError'
        '401':
          description: Missing or invalid API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AvatarVideoError'
        '403':
          description: API key lacks avatar-video read access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AvatarVideoError'
components:
  schemas:
    AvatarVideo:
      type: object
      required:
        - id
        - status
        - truncated
        - effectiveMaxDurationSeconds
        - content
        - createdAt
        - metadata
      properties:
        id:
          type: string
          example: avv_123
        status:
          type: string
          enum:
            - pending
            - running
            - finalizing
            - completed
            - failed
            - cancelled
        completionReason:
          type:
            - string
            - 'null'
          enum:
            - script_completed
            - max_duration_reached
            - cancelled
            - null
        truncated:
          type: boolean
        durationSeconds:
          type:
            - number
            - 'null'
        effectiveMaxDurationSeconds:
          type: integer
        sessionId:
          type:
            - string
            - 'null'
          description: >-
            Underlying normal EngineSession ID. Use its recording deletion
            endpoint for deletion.
        content:
          type: object
          required:
            - available
          properties:
            available:
              type: boolean
            url:
              type: string
              format: uri
            expiresAt:
              type: string
              format: date-time
        failure:
          type:
            - object
            - 'null'
          properties:
            code:
              type: string
            message:
              type: string
            retryable:
              type: boolean
        retryOf:
          type:
            - string
            - 'null'
        createdAt:
          type: string
          format: date-time
        startedAt:
          type:
            - string
            - 'null'
          format: date-time
        completedAt:
          type:
            - string
            - 'null'
          format: date-time
        metadata:
          type: object
          additionalProperties: true
    AvatarVideoError:
      type: object
      required:
        - code
        - message
        - requestId
        - retryable
      properties:
        code:
          type: string
          description: Stable machine-readable failure code.
        message:
          type: string
        requestId:
          type: string
        retryable:
          type: boolean
        details:
          type: object
          additionalProperties: true
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````